Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 728705

Summary: java-1.7.0-openjdk not built with $RPM_OPT_FLAGS
Product: [Fedora] Fedora Reporter: Ville Skyttä <ville.skytta>
Component: java-1.7.0-openjdkAssignee: Deepak Bhole <dbhole>
Status: CLOSED EOL QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 19CC: dbhole, jvanek, omajid
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-02-17 13:50:19 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 496968    

Description Ville Skyttä 2011-08-06 15:38:05 UTC
java-1.7.0-openjdk-0.1.20110803 is not built with $RPM_OPT_FLAGS:

http://kojipkgs.fedoraproject.org/packages/java-1.7.0-openjdk/1.7.0.0/0.1.20110803.fc17/data/logs/x86_64/build.log

Comment 1 Deepak Bhole 2011-08-09 20:08:40 UTC
Is there a specific switch (other than -g) that ought to be there that isn't?

OpenJDK build is fairly complex and it tries to automatically figure out numerous switches to the compiler. It does not provide an option to specify "extra" flags. Given the complexity of HotSpot and that upstream tests with their switches, it makes me quite weary of changing it for the RPM build unless there is a very good reason.

Comment 2 Ville Skyttä 2011-08-09 20:41:36 UTC
The question needs to be asked the other way around.  If there are good reasons for not using $RPM_OPT_FLAGS (which includes for example some security related flags), they should be documented in the specfile.

http://fedoraproject.org/wiki/Packaging/Guidelines#Compiler_flags

Comment 3 Deepak Bhole 2011-08-09 21:08:41 UTC
In this case I am asking because upstream does not allow it easily. I would much rather apply individual flags rather than blanket RPM_OPT_FLAGS because HotSpot performance can be impacted with bad opts.

Comment 4 Fedora End Of Life 2013-04-03 14:20:40 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19

Comment 5 Fedora End Of Life 2015-01-09 16:44:45 UTC
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 6 Fedora End Of Life 2015-02-17 13:50:19 UTC
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.